Panda3D

Loading...
Searching...
No Matches
Functions
throw_event.I File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

Go to the source code of this file.

## Functions
void | throw_event (const CPT_Event &event)
void | throw_event (const std::string &event_name)
void | throw_event (const std::string &event_name, const EventParameter &p1)
void | throw_event (const std::string &event_name, const EventParameter &p1, const EventParameter &p2)
void | throw_event (const std::string &event_name, const EventParameter &p1, const EventParameter &p2, const EventParameter &p3)
void | throw_event (const std::string &event_name, const EventParameter &p1, const EventParameter &p2, const EventParameter &p3, const EventParameter &p4)
void | throw_event_directly (EventHandler &handler, const CPT_Event &event)
void | throw_event_directly (EventHandler &handler, const std::string &event_name)
void | throw_event_directly (EventHandler &handler, const std::string &event_name, const EventParameter &p1)
void | throw_event_directly (EventHandler &handler, const std::string &event_name, const EventParameter &p1, const EventParameter &p2)
void | throw_event_directly (EventHandler &handler, const std::string &event_name, const EventParameter &p1, const EventParameter &p2, const EventParameter &p3)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  1999-02-08

Definition in file throw_event.I.

## Function Documentation

## ◆ throw_event() [1/6]

void throw_event | ( | const CPT_Event & | event | ) |
| inline

Definition at line 15 of file throw_event.I.

## ◆ throw_event() [2/6]

void throw_event | ( | const std::string & | event_name | ) |
| inline

Definition at line 20 of file throw_event.I.

## ◆ throw_event() [3/6]

void throw_event | ( | const std::string & | event_name,
|  | const EventParameter & | p1 )
| inline

Definition at line 25 of file throw_event.I.

## ◆ throw_event() [4/6]

void throw_event | ( | const std::string & | event_name,
|  | const EventParameter & | p1,
|  | const EventParameter & | p2 )
| inline

Definition at line 33 of file throw_event.I.

## ◆ throw_event() [5/6]

void throw_event | ( | const std::string & | event_name,
|  | const EventParameter & | p1,
|  | const EventParameter & | p2,
|  | const EventParameter & | p3 )
| inline

Definition at line 43 of file throw_event.I.

## ◆ throw_event() [6/6]

void throw_event | ( | const std::string & | event_name,
|  | const EventParameter & | p1,
|  | const EventParameter & | p2,
|  | const EventParameter & | p3,
|  | const EventParameter & | p4 )
| inline

Definition at line 55 of file throw_event.I.

## ◆ throw_event_directly() [1/5]

void throw_event_directly | ( | EventHandler & | handler,
|  | const CPT_Event & | event )
| inline

Definition at line 70 of file throw_event.I.

## ◆ throw_event_directly() [2/5]

void throw_event_directly | ( | EventHandler & | handler,
|  | const std::string & | event_name )
| inline

Definition at line 76 of file throw_event.I.

## ◆ throw_event_directly() [3/5]

void throw_event_directly | ( | EventHandler & | handler,
|  | const std::string & | event_name,
|  | const EventParameter & | p1 )
| inline

Definition at line 82 of file throw_event.I.

## ◆ throw_event_directly() [4/5]

void throw_event_directly | ( | EventHandler & | handler,
|  | const std::string & | event_name,
|  | const EventParameter & | p1,
|  | const EventParameter & | p2 )
| inline

Definition at line 91 of file throw_event.I.

## ◆ throw_event_directly() [5/5]

void throw_event_directly | ( | EventHandler & | handler,
|  | const std::string & | event_name,
|  | const EventParameter & | p1,
|  | const EventParameter & | p2,
|  | const EventParameter & | p3 )
| inline

Definition at line 102 of file throw_event.I.